Package com.microblink.blinkid.entities.recognizers.blinkid.generic.datamatch

# Class DataMatchResult

java.lang.Object
com.microblink.blinkid.entities.recognizers.blinkid.generic.datamatch.DataMatchResult

All Implemented Interfaces:
  `android.os.Parcelable`

public class DataMatchResult extends Object implements android.os.Parcelable
Info on whether the data extracted from front image matches the data extracted from the back image.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface android.os.Parcelable

  `android.os.Parcelable.ClassLoaderCreator<T extends Object>, android.os.Parcelable.Creator<T extends Object>`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final android.os.Parcelable.Creator<DataMatchResult>`
  `CREATOR`

  ### Fields inherited from interface android.os.Parcelable

  `CONTENTS_FILE_DESCRIPTOR, PARCELABLE_WRITE_RETURN_VALUE`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `DataMatchResult(android.os.Parcel in)`
  ``
  `DataMatchResult(DataMatchState documentState, FieldState[] states)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static DataMatchResult`
  `createFromNative(int documentState, FieldState[] states)`
  This method is called from native code to build `DataMatchResult` from native object.
  `int`
  `describeContents()`
  `DataMatchState`
  `getState(DataMatchField dataMatchField)`
  The state of the data match on the specified field.
  `DataMatchState`
  `getStateForWholeDocument()`
  Returns result of the data matching algorithm for scanned parts/sides of the document.
  `FieldState[]`
  `getStates()`
  States of the data match per field.
  `String`
  `toString()`
  `void`
  `writeToParcel(android.os.Parcel dest, int flags)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### CREATOR

    public static final android.os.Parcelable.Creator<DataMatchResult> CREATOR

- ## Constructor Details

  - ### DataMatchResult

    public DataMatchResult(DataMatchState documentState, FieldState[] states)

  - ### DataMatchResult

    protected DataMatchResult(android.os.Parcel in)

- ## Method Details

  - ### createFromNative

    @NonNull public static DataMatchResult createFromNative(int documentState, @NonNull FieldState[] states)
    This method is called from native code to build `DataMatchResult` from native object.

  - ### getStateForWholeDocument

    public DataMatchState getStateForWholeDocument()
    Returns result of the data matching algorithm for scanned parts/sides of the document. For example if date of expiry is scanned from the front and back side of the document and values do not match, this method will return `DataMatchState.Failed`. Result will be `DataMatchState.Success` only if scanned values for all fields that are compared are the same. If data matching has not been performed, result will be `DataMatchState.NotPerformed`.
    Returns:
      result of the data matching algorithm for scanned parts/sides of the document.

  - ### getStates

    public FieldState[] getStates()
    States of the data match per field.
    Returns:
      state of the data match for each field

  - ### getState

    public DataMatchState getState(DataMatchField dataMatchField)
    The state of the data match on the specified field.
    Parameters:
      `dataMatchField` - the field for which the data match state will be returned
    Returns:
      state of data match for specified field

  - ### toString

    @NonNull public String toString()
    Overrides:
      `toString` in class `Object`

  - ### describeContents

    public int describeContents()
    Specified by:
      `describeContents` in interface `android.os.Parcelable`

  - ### writeToParcel

    public void writeToParcel(android.os.Parcel dest, int flags)
    Specified by:
      `writeToParcel` in interface `android.os.Parcelable`